Package net.shibboleth.idp.authn.impl

# Class X509ResourceCredentialConfig

java.lang.Object
net.shibboleth.idp.authn.impl.X509ResourceCredentialConfig

All Implemented Interfaces:
  `CredentialConfig`

public class X509ResourceCredentialConfig extends Object implements CredentialConfig
Implementation of `CredentialConfig` that loads trust and key material using a `Resource`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Resource`
`authenticationCertificate`
Name of the authentication certificate to use for the SSL connection.
`private Resource`
`authenticationKey`
Name of the key to use for the SSL connection.
`private String`
`authenticationKeyPassword`
Password to decrypt the authentication key.
`private Resource`
`trustCertificates`
Name of the trust certificates to use for the SSL connection.

## Constructor Summary

Constructors
Constructor
Description
`X509ResourceCredentialConfig()`

## Method Summary

Modifier and Type
Method
Description
`SSLContextInitializer`
`createSSLContextInitializer()`
`void`
`setAuthenticationCertificate(Resource resource)`
Set the authentication certificate resource.
`void`
`setAuthenticationKey(Resource resource)`
Set the authentication key resource.
`void`
`setAuthenticationKeyPassword(String password)`
Set the authentication key password.
`void`
`setTrustCertificates(Resource resource)`
Set the trust certificates resource.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### trustCertificates

@Nullable private Resource trustCertificates
Name of the trust certificates to use for the SSL connection.

### authenticationCertificate

@Nullable private Resource authenticationCertificate
Name of the authentication certificate to use for the SSL connection.

### authenticationKey

@Nullable private Resource authenticationKey
Name of the key to use for the SSL connection.

### authenticationKeyPassword

@Nullable private String authenticationKeyPassword
Password to decrypt the authentication key.

## Constructor Details

### X509ResourceCredentialConfig

public X509ResourceCredentialConfig()

## Method Details

### setTrustCertificates

public void setTrustCertificates(@Nonnull @NotEmpty Resource resource)
Set the trust certificates resource.

Parameters:
  `resource` - the trust certificates resource

### setAuthenticationCertificate

public void setAuthenticationCertificate(@Nonnull @NotEmpty Resource resource)
Set the authentication certificate resource.

Parameters:
  `resource` - the authentication certificate resource

### setAuthenticationKey

public void setAuthenticationKey(@Nonnull @NotEmpty Resource resource)
Set the authentication key resource.

Parameters:
  `resource` - the authentication key resource

### setAuthenticationKeyPassword

public void setAuthenticationKeyPassword(@Nonnull @NotEmpty String password)
Set the authentication key password.

Parameters:
  `password` - the authentication key password

### createSSLContextInitializer

@Nonnull public SSLContextInitializer createSSLContextInitializer() throws GeneralSecurityException

Specified by:
  `createSSLContextInitializer` in interface `CredentialConfig`
Throws:
  `GeneralSecurityException`